Cancel Stock Transfer
curl --request POST \
--url https://api.decodahealth.com/inventory/stock-transfers/{id}/cancel \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/inventory/stock-transfers/{id}/cancel"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/inventory/stock-transfers/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fromLocationId": "<string>",
"toLocationId": "<string>",
"creatorId": "<string>",
"id": "<string>",
"status": "PENDING",
"notes": "<string>",
"completedDate": "2023-11-07T05:31:56Z",
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"fromLocation": {
"id": "<string>",
"name": "<string>",
"isVirtual": false
},
"toLocation": {
"id": "<string>",
"name": "<string>",
"isVirtual": false
},
"creator": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"items": [
{
"stockTransferId": "<string>",
"sourceShipmentId": "<string>",
"quantityRequested": 123,
"id": "<string>",
"destinationShipmentId": "<string>",
"quantityShipped": 123,
"quantityReceived": 123,
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"sourceShipment": {
"id": "<string>",
"stockId": "<string>",
"remainingQuantity": 123,
"lotNumber": "<string>",
"expiryDate": "2023-11-07T05:31:56Z",
"sku": "<string>",
"cost": 123,
"stock": {
"id": "<string>",
"name": "<string>",
"unit": "<string>"
}
},
"destinationShipment": {
"id": "<string>",
"stockId": "<string>",
"remainingQuantity": 123,
"lotNumber": "<string>",
"expiryDate": "2023-11-07T05:31:56Z",
"sku": "<string>",
"cost": 123,
"stock": {
"id": "<string>",
"name": "<string>",
"unit": "<string>"
}
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Stock
Cancel Stock Transfer
Cancel a pending stock transfer.
POST
/
inventory
/
stock-transfers
/
{id}
/
cancel
Cancel Stock Transfer
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Stock transfer response schema.
ID of the source location
ID of the destination location
ID of the user who created the transfer
Unique identifier for the transfer
Status of the transfer
Available options:
PENDING, COMPLETED, CANCELLED Optional notes
Date the transfer was completed
Date the transfer was created
Date the transfer was last updated
Source location details
Show child attributes
Show child attributes
Destination location details
Show child attributes
Show child attributes
User who created the transfer
Show child attributes
Show child attributes
Transfer items
Show child attributes
Show child attributes
⌘I
